<?php

namespace WebServiceCall\Repository\FileManager\FileClass;

class OracleDBData {
    
    private $host;
    private $username;
    private $password;
    private $dbname;
    private $charset;
    private $useWallet;
    private $walletPrefix;

    public function __construct($dbData) {
        $this->host                 = $dbData['DB_ORA_HOST'];
        $this->username             = $dbData['DB_ORA_USER'];
        $this->password             = $dbData['DB_ORA_PASSWORD'];
        $this->dbname               = $dbData['DB_ORA_DBNAME'];
        $this->charset              = $dbData['DB_ORA_CHARSET'];
        $this->useWallet            = $dbData['DB_ORA_WALLET_BOOL'];
        $this->walletPrefix         = $dbData['DB_ORA_WALLET_PREFIX'];
    }
    
    public function getHost() {
        return $this->host;
    }
    
    public function setHost($host) {
        $this->host = $host;
    }
    
    public function getUsername() {
        return $this->username;
    }
    
    public function setUsername($username) {
        $this->username = $username;
    }
    
    public function getPassword() {
        return $this->password;
    }
    
    public function setPassword($password) {
        $this->password = $password;
    }
    
    public function getDBName() {
        return $this->dbname;
    }
    
    public function setDBName($dbname) {
        $this->dbname = $dbname;
    }
    
    public function getCharset() {
        return $this->charset;
    }
    
    public function setCharset($charset) {
        $this->charset = $charset;
    }
    
    public function getWalletBool() {
        return $this->useWallet;
    }
    
    public function setWalletBool($useWallet) {
        $this->useWallet = $useWallet;
    }
    
    public function getWalletPrefix() {
        return $this->walletPrefix;
    }
    
    public function setWalletPrefix($walletPrefix) {
        $this->walletPrefix = $walletPrefix;
    }
}